Bug 207842 - Xen grub entry installed without Xen kernel
Xen grub entry installed without Xen kernel
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-24 11:27 EDT by Jos Vos
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-18 07:00:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/root/install.log (32.92 KB, text/plain)
2006-09-25 17:07 EDT, Jos Vos
no flags Details
/var/log/anaconda.log (154.14 KB, text/plain)
2006-09-25 17:08 EDT, Jos Vos
no flags Details
/var/log/anaconda.syslog (39.64 KB, text/plain)
2006-09-25 17:09 EDT, Jos Vos
no flags Details

  None (edit)
Description Jos Vos 2006-09-24 11:27:31 EDT
Description of problem:
When choosing virtualization support in a rhel5beta1 client install, there is no
Xen hypervisor and Xen-enabled kernel installed *but* grub contains (as default
entry) the non-existing Xen-enabled kernel!

/etc/grub.conf:

default=0
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Red Hat Enterprise Linux Client (2.6.17-1.2519.4.21.el5xen)
        root (hd0,0)
        kernel /xen.gz-2.6.17-1.2519.4.21.el5
        module /vmlinuz-2.6.17-1.2519.4.21.el5xen ro root=/dev/hda6 rhgb quiet
title Red Hat Enterprise Linux Client-up (2.6.17-1.2519.4.21.el5)
        root (hd0,0)
        kernel /vmlinuz-2.6.17-1.2519.4.21.el5 ro root=LABEL=/ rhgb quiet
        initrd /initrd-2.6.17-1.2519.4.21.el5.img

Contents of /boot:

config-2.6.17-1.2519.4.21.el5      message.ja
grub                               symsets-2.6.17-1.2519.4.21.el5.tar.gz
initrd-2.6.17-1.2519.4.21.el5.img  symvers-2.6.17-1.2519.4.21.el5.gz
lost+found                         System.map-2.6.17-1.2519.4.21.el5
message                            vmlinuz-2.6.17-1.2519.4.21.el5

rpm -qa | grep kernel:

kernel-2.6.17-1.2519.4.21.el5
kernel-headers-2.6.17-1.2519.4.21.el5
kernel-devel-2.6.17-1.2519.4.21.el5
Comment 1 Jos Vos 2006-09-24 12:10:09 EDT
Additional comment:

/etc/sysconfig/kernel contains DEFAULTKERNEL=kernel-xen, while kernel-xen is not
 installed!
Comment 2 Jeremy Katz 2006-09-25 11:28:36 EDT
Can you attach /var/log/anaconda* and /root/install.log?
Comment 3 Jos Vos 2006-09-25 17:07:25 EDT
Created attachment 137090 [details]
/root/install.log
Comment 4 Jos Vos 2006-09-25 17:08:07 EDT
Created attachment 137091 [details]
/var/log/anaconda.log
Comment 5 Jos Vos 2006-09-25 17:09:18 EDT
Created attachment 137092 [details]
/var/log/anaconda.syslog
Comment 6 Red Hat Bugzilla 2007-06-11 23:18:11 EDT
requested by Jams Antill
Comment 7 Chris Lalancette 2007-10-04 13:59:23 EDT
Is this bug still a problem?  If not, can we close it out?

Thanks,
Chris Lalancette
Comment 8 Chris Lumens 2008-04-18 07:00:32 EDT
Feel free to reopen this bug if you continue to experience this problem in
RHEL5.1 or 5.2.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.